%define name webalizer
%define mVersion 2.01
%define lVersion 05
%define release 1
%define contentdir /var/www

Summary:   The Webalizer - A web server log file analysis thingie
Name:      %{name}
Version:   %{mVersion}.%{lVersion}
Release:   %{release}
URL:       http://www.mrunix.net/webalizer/
Source:    ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{mVersion}-%{lVersion}-src.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix:    %{_prefix}

Copyright: GPL
Group:     Networking/Utilities
Vendor:    Bradford L. Barrett <brad@mrunix.net>

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server produces combined log format files).

%prep
%setup -n %{name}-%{mVersion}-%{lVersion}

%build
%configure \
	--with-gd \
	--enable-dns
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{contentdir}/icons
install -d $RPM_BUILD_ROOT%{contentdir}/html/usage
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/webalizer.conf
install -m755 webalizer $RPM_BUILD_ROOT%{_bindir}
strip $RPM_BUILD_ROOT%{_bindir}/webalizer
( cd $RPM_BUILD_ROOT%{_bindir}; \
  ln -s webalizer webazolver )
install -m644 webalizer.1 $RPM_BUILD_ROOT%{_mandir}/man1/webalizer.1
install -m644 webalizer.png $RPM_BUILD_ROOT%{contentdir}/icons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README* COPYING Copyright country-codes.txt lang/*
%config %{_sysconfdir}/webalizer.conf
%dir %{contentdir}/html/usage
%{_bindir}/webalizer
%{_bindir}/webazolver
%{_mandir}/man1/webalizer.1*
%{contentdir}/icons/webalizer.png

%post
 if ! grep '%{_bindir}/webalizer' %{_sysconfdir}/crontab > /dev/null; then
  echo "" >> %{_sysconfdir}/crontab
  echo "01 4 * * 0 root %{_bindir}/webalizer" >> %{_sysconfdir}/crontab
 fi

%postun
if [ $1 = 0 ]; then
	grep -v '%{_bindir}/webalizer' %{_sysconfdir}/crontab > %{_sysconfdir}/crontab.new
	mv %{_sysconfdir}/crontab.new %{_sysconfdir}/crontab
fi

%changelog
* Mon Oct  9 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.01-05-1]

* Thu Sep 28 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.01-02-1]
- small spec changes
- dropped patches (webalizer-2.00-12-grn.patch and
  webalizer-2.00-12-mldebug.patch)

* Tue Jul 25 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-12-3]
- spec improvements

* Fri May 12 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-12-2]
- gethostbyaddr()-returns-null patch
- spec fixes (%files, buld root, documentation, ...)

* Tue Apr 25 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-12-1]

* Sun Apr  9 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-11-1]

* Mon Apr  3 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-10-1]

* Mon Mar 27 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-08-1]

* Thu Mar 23 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-07-1]

* Thu Mar 16 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-06-2]
- rebuild against gd-1.8.1

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-06-1]

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-04-1]
- removed icon (it was GIF :)

* Mon Feb 21 2000 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.05-1]

* Mon Sep 13 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-4]
  rebuild against gd-1.6.3 (now PNG images are used)

* Sun Aug 29 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-3]
  source changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
  [1.30.04-2]
  crontab activated each Sunday at 4:01 AM (just before apache rotate its log)

* Thu Aug 26 1999 Henri Gomez <gomez@slib.fr>
  [1.30-04]
  Big rework of RPM (at least configure support)
  Adapted spec to RPM 3 naming conventions,
  Changed URL
  Added icon
  Corrected -lz
  Adapted /etc/webalizer.conf to Redhat 
  New directory usage in /home/httpd/html/usage
  Add month cron in /etc/crontab

* Fri Jan 08 1999 Simon Liddington <sjl96v@ecs.soton.ac.uk>
  [1.20-11]
  Installs manpage
  Config file installed as config

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.20-07]

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.12-10]

* Sun Jun 14 1998 Arne Coucheron <arneco@online.no>
  [1.12-09]

* Sun Jun 07 1998 Arne Coucheron <arneco@online.no>
  [1.12-08]

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [1.00-05]

* Wed May 27 1998 Arne Coucheron <arneco@online.no>
  [1.00-04]
- using predefined %%{name} and %%{version} macros
- using %defattr macro in file list, this requires rpm 2.5 to build
- installing msfree.gif to /home/httpd/html/usage
- added -q parameter to %setup
- added CHANGES and TODO to %doc

* Fri May 08 1998 Arne Coucheron <arneco@online.no>
  [0.99.06-1]

* Sat Jan 31 1998 Arne Coucheron <arneco@online.no>
- First release
